Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 660912

Summary: app-misc/recoll-1.24 version bump
Product: Gentoo Linux Reporter: Anton Bolshakov <blshkv>
Component: Current packagesAssignee: P Purkayastha <ppurka>
Status: RESOLVED FIXED    
Severity: normal CC: jstein, proxy-maint, rossi.f
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 653646    
Attachments: recoll-1.24.1.ebuild
ebuild for recoll-1.24.1 which adds an header file
recoll-1.24.1.ebuild
recoll-1.24.1-qt.patch

Description Anton Bolshakov 2018-07-11 15:31:53 UTC
http://www.lesbonscomptes.com/recoll/release-1.24.html

Minor releases at a glance
1.24.1:
Fixes the "error 9 on netlink descriptor" GUI crash.
Add GUI option to activate links found in plain text in the preview window.
Add monitordirs configuration variable to define a subset of the whole indexed tree (topdirs) to be monitored for changes, and implement a method to get the recollindex command (executed without options) to trigger a running monitoring recollindex to perform an incremental on the whole tree. Together, these change make it easy to set up Recoll to index a big tree and only monitor a small subset for real time changes.

1.24.0 <long list skipped>
Comment 1 P Purkayastha 2018-07-17 14:37:41 UTC
Created attachment 539790 [details]
recoll-1.24.1.ebuild

Just a change of version number to 1.24.1 works fine. Tested the application on amd64.
Comment 2 Helmut Jarausch 2018-07-30 13:32:36 UTC
Created attachment 541728 [details]
ebuild for recoll-1.24.1 which adds an header file
Comment 3 Fabio Rossi 2018-07-31 10:13:27 UTC
added a dependency on Qt 5.11 bug because recoll needs a patch to compile correctly against that Qt version (the patching is included in src_prepare() of the ebuild attached by Helmut)
Comment 4 P Purkayastha 2018-08-04 13:52:13 UTC
Created attachment 542350 [details]
recoll-1.24.1.ebuild

I have added a new ebuild for recoll-1.24.1 that adds a patch for the QT change. Change in the ebuild is the following:

--- recoll-1.24.1.ebuild.old    2018-08-04 21:49:27.382676045 +0800
+++ recoll-1.24.1.ebuild        2018-08-04 21:49:02.318246082 +0800
@@ -49,7 +49,10 @@
        app-arch/unzip
 "

-PATCHES=( "${FILESDIR}/recoll-python3.patch" )
+PATCHES=(
+       "${FILESDIR}"/${PN}-python3.patch   #python3 patch
+       "${FILESDIR}"/${PN}-1.24.1-qt.patch #bug 660912
+)

 pkg_setup() {
        if has_version "<app-misc/recoll-1.20"; then
Comment 5 P Purkayastha 2018-08-04 13:53:19 UTC
Created attachment 542352 [details, diff]
recoll-1.24.1-qt.patch

The patch file ${FILESDIR}/recoll-1.24.1-qt.patch
Comment 6 Andreas Sturmlechner gentoo-dev 2018-08-17 21:07:25 UTC
thanks, ppurka! Did you send this patch upstream as well?

In the future, please just attach a unified diff instead of a full ebuild, so that changes over the previous version are easily reviewed. Alternatively please look into how to contribute via GitHub pull requests: https://wiki.gentoo.org/wiki/Gentoo_GitHub
Comment 7 Larry the Git Cow gentoo-dev 2018-08-17 22:04:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=866acf08dc3434189a6e81578dfb00c42bb50e36

commit 866acf08dc3434189a6e81578dfb00c42bb50e36
Author:     Punarbasu Purkayastha <ppurka@gmail.com>
AuthorDate: 2018-08-17 20:59:07 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-17 22:02:02 +0000

    app-misc/recoll: 1.24.1 version bump, fix build with Qt 5.11
    
    Fixes build with Qt 5.11.
    
    Closes: https://bugs.gentoo.org/663028
    Closes: https://bugs.gentoo.org/660912
    Package-Manager: Portage-2.3.46, Repoman-2.3.10

 app-misc/recoll/Manifest                          |   1 +
 app-misc/recoll/files/recoll-1.24.1-qt-5.11.patch |  12 +++
 app-misc/recoll/recoll-1.24.1.ebuild              | 125 ++++++++++++++++++++++
 3 files changed, 138 insertions(+)